const fs = require("fs")
//读文件的函数
readFs = (src)=>{
    return new Promise((resolve,reject)=>{
        fs.readFile(src,{flag:"r",encoding:"utf-8"},(err,data)=>{
            if(err){
                reject(err)              
            }else{
                resolve(data)
            }
        })
    })
}

//写文件的函数
writeFs = (src,content) => {
    return new Promise((resolve,reject)=>{
        fs.writeFile(src,content,{flag:"a",encoding:"utf-8"},(err)=>{
            if(!err){
                resolve(err)
            }else{
                reject(err)
            }           
        })
    })
}

//创建目录
makdirFS = (path) => {
    return new Promise((resolve,reject) => {
        fs.mkdir(path,(err)=>{
            if(err){
                reject(err)
                console.log(err)
            }else{
                console.log("创建目录成功")
                resolve()
            }
        })
    })
}

//读取目录
readirFs = (path) => {
    return new Promise((resolve,reject) => {
        fs.readdir(path,(err,files) => {
            if(err){
                reject(err)
                console.log(err)
            }else{
                //console.log(files)
                resolve(files)
            }
        })
    })
}

//修改文件名
renameFs = (oldPath,newPath) => {
    return new Promise((resolve,reject) => {
        fs.rename(oldPath,newPath,(err) => {
            if(err){
                reject()
                console.log(err)
            }else{
                console.log("文件名修改成功")
                resolve()
            }
        })
    })
}
module.exports = {readFs,writeFs,makdirFS,readirFs,renameFs}